LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

Linx install on a Raspberry pi 3B

Hello 

Recently i have installed LabView 2023 Q1 community edition and i want to use it in combination with a Raspberry pi 3b.

When i go to the installation tab in the target configuration and select upgrade it show "Target configuration updated" but the installed version box is empty

I have attached the log file.

When i try to launch the blink example in Labview and try to connect to the Raspberry pi in the project window by right clicking and select connect, LabView gives me the error "Unable to resolve from current dialog"  Failed to connect to the target. Even though the IP number is correct

 

What could be the problem

 

Thanks for help in advance

 

0 Kudos
Message 1 of 3
(1,040 Views)

@MyControlLab wrote:

Hello 

Recently i have installed LabView 2023 Q1 community edition and i want to use it in combination with a Raspberry pi 3b.

When i go to the installation tab in the target configuration and select upgrade it show "Target configuration updated" but the installed version box is empty

I have attached the log file.

When i try to launch the blink example in Labview and try to connect to the Raspberry pi in the project window by right clicking and select connect, LabView gives me the error "Unable to resolve from current dialog"  Failed to connect to the target. Even though the IP number is correct

 

What could be the problem

 

Thanks for help in advance

 


LV Community Edition already has LINX, but it's called "Hobbyist" now.  I don't know the course of action to take, however, because NIPM complicates things so much.  You probably should uninstall LINX using VIPM, then uninstall LabVIEW itself and all the stuff that goes along with it, then reinstall LabVIEW.

Bill
CLD
(Mid-Level minion.)
My support system ensures that I don't look totally incompetent.
Proud to say that I've progressed beyond knowing just enough to be dangerous. I now know enough to know that I have no clue about anything at all.
Humble author of the CLAD Nugget.
0 Kudos
Message 2 of 3
(1,023 Views)

It's hard to tell from the linx log (lots of internals will still reference the old Linx name instead of Hobbyist) but since you're saying Linx I'm thinking maybe you have installed Linx from VIPM after installing LV 2023CE... which will tend to break Linx/Hobbyist. Community edition already comes with hobbyist installed from its offline installer as billko stated. You may get some luck from uninstalling LabVIEW from NIPM and then running the 2023 offline installer again. Hobbyist will already be installed and available in the tools menu.

 

There are also premade Pi images made with LabVIEW pre-installed that you can grab from https://github.com/MakerHub/LINX/wiki/Installing-an-image-with-LabVIEW-pre-installed

~ The wizard formerly known as DerrickB ~
Gradatim Ferociter
0 Kudos
Message 3 of 3
(988 Views)